/**
 * Renders a string with keywords highlighted
 */
export declare class KeywordMarkElement extends HTMLElement {
    /** @inheritdoc */
    static readonly observedAttributes: string[];
    /**
     * Keywords to highlight
     */
    /**
    * Sets the keywords to highlight
    * @param {string} val keywords to set
    */
    keywords: string;
    /**
     * Observer of child nodes
     */
    private __observer?;
    /** constructor */
    constructor();
    /** @inheritdoc */
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    /** @inheritdoc */
    connectedCallback(): void;
    /** @inheritdoc */
    disconnectedCallback(): void;
    /**
     * Renders the current string with keywords highlighted
     */
    protected _render(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'keyword-mark': KeywordMarkElement;
    }
}
